import "../../../chunks/chunk.QU3DSPNU.js";
import { createElement } from "react";
import { GdsSegment as GdsSegmentClass } from "../../../components/segmented-control/segment/segment.component.js";
import { getReactComponent } from "../../../utils/react.js";
const GdsSegment = (props) => {
  GdsSegmentClass.define();
  const JSXElement = getReactComponent("gds-segment");
  const propsWithClass = { ...props, class: props.className, ref: props.ref };
  return createElement(JSXElement, propsWithClass);
};
GdsSegment.displayName = "GdsSegment";
export {
  GdsSegment
};
